> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Get a property by ID

GET https://api.propexo.com/v1/properties/{id}

Get a property by ID

Reference: https://docs.propexo.com/api-reference/yardi-rest/properties/get-a-property-by-id

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Path parameters

- `id` (string, required) — The ID of the resource.

### Query parameters

- `order-by` (string, optional, default: created_at:desc) — Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
- `updated_at_gte` (string, optional, nullable) — Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `updated_at_lte` (string, optional, nullable) — Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `last_seen_gte` (string, optional, nullable) — Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `last_seen_lte` (string, optional, nullable) — Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `offset` (integer, optional, nullable, default: 0) — Can be used for paginating results
- `limit` (integer, optional, nullable, default: 100) — A number between 1 and 250 to determine the number of results to return in a single query

## Response

### 200

Successful response

- `meta` (ResponseMeta, required)
- `results` (V1PropertiesIdGetOutputResults, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### ResponseMeta

- `orderBy` (list of ResponseMetaOrderByItems, required) — The order of the results
- `offset` (integer, optional) — The offset of the first result
- `limit` (integer, optional) — The number of results to return
- `hasMore` (boolean, optional, nullable) — Whether there are more results
- `total` (integer, optional) — The total number of results

### V1PropertiesIdGetOutputResults

- `id` (string, optional) — The Propexo unique identifier for the property
- `property_id` (string, optional) — The Propexo unique identifier for the property
- `created_at` (string, optional) — The date record first entered Propexo
- `updated_at` (string, optional) — The date record was last updated in Propexo
- `last_seen` (string, optional, nullable) — The date the record was last seen from the PMS
- `x_created_at` (any, optional) — The date the record first entered the integration vendorThis field will always be null for YARDI\_REST
- `x_id` (string, optional) — The external ID from the integration vendor | Method | Interface | |---|---| | /ItfCommonData/GetPropertyConfigurations | Common Data | | /ItfProspect/GetPropertyConfigurations | ILS Guest Card | | /ItfCommonData/GetUnitInformation | Common Data |
- `x_property_id` (string, optional) — The external ID of the property from the integration vendor | Method | Interface | |---|---| | /ItfCommonData/GetPropertyConfigurations | Common Data | | /ItfProspect/GetPropertyConfigurations | ILS Guest Card | | /ItfCommonData/GetUnitInformation | Common Data |
- `x_building_id` (any, optional) — The external ID of the building (not necessarily the property) from the integration vendorThis field will always be null for YARDI\_REST
- `building_number` (any, optional) — The building number associated with the propertyThis field will always be null for YARDI\_REST
- `city` (string, optional, nullable) — The city associated with the property | Method | Interface | |---|---| | /ItfCommonData/GetPropertyConfigurations | Common Data | | /ItfProspect/GetPropertyConfigurations | ILS Guest Card |
- `code` (string, optional, nullable) — The code associated with the property | Method | Interface | |---|---| | /ItfCommonData/GetPropertyConfigurations | Common Data | | /ItfProspect/GetPropertyConfigurations | ILS Guest Card |
- `country` (any, optional) — The country associated with the propertyThis field will always be null for YARDI\_REST
- `county` (any, optional) — The county associated with the propertyThis field will always be null for YARDI\_REST
- `custom_data` (V1PropertiesIdGetOutputResultsCustomData, optional, nullable)
- `is_active` (any, optional) — Whether the property is active. This reflects whether the property is active in the PMS. To see if a property is enabled in Propexo, please use the 'Get all my property configurations' endpoint.This field will always be null for YARDI\_REST
- `manager_email` (any, optional) — The email address of the property managerThis field will always be null for YARDI\_REST
- `manager_name` (any, optional) — The name of the property managerThis field will always be null for YARDI\_REST
- `manager_phone_1` (any, optional) — The first phone number of the property managerThis field will always be null for YARDI\_REST
- `manager_phone_1_type` (any, optional) — The type of the first phone number of the property managerThis field will always be null for YARDI\_REST
- `manager_phone_2` (any, optional) — The second phone number of the property managerThis field will always be null for YARDI\_REST
- `manager_phone_2_type` (any, optional) — The type of the second phone number of the property managerThis field will always be null for YARDI\_REST
- `name` (string, optional, nullable) — The name of the property | Method | Interface | |---|---| | /ItfCommonData/GetPropertyConfigurations | Common Data | | /ItfProspect/GetPropertyConfigurations | ILS Guest Card |
- `notes` (any, optional) — Notes associated with the propertyThis field will always be null for YARDI\_REST
- `number_of_units` (any, optional) — The number of units in the propertyThis field will always be null for YARDI\_REST
- `square_feet` (integer, optional, nullable) — The square footage of the propertyThis field is not currently hydrated for YARDI\_REST
- `state` (string, optional, nullable) — The state associated with the property | Method | Interface | |---|---| | /ItfCommonData/GetPropertyConfigurations | Common Data | | /ItfProspect/GetPropertyConfigurations | ILS Guest Card |
- `address_1` (string, optional, nullable) — The first address line associated with the property | Method | Interface | |---|---| | /ItfCommonData/GetPropertyConfigurations | Common Data | | /ItfProspect/GetPropertyConfigurations | ILS Guest Card |
- `address_2` (string, optional, nullable) — The second address line associated with the property | Method | Interface | |---|---| | /ItfCommonData/GetPropertyConfigurations | Common Data | | /ItfProspect/GetPropertyConfigurations | ILS Guest Card |
- `type_raw` (string, optional, nullable) — The raw PMS type of the property | Method | Interface | |---|---| | /ItfCommonData/GetUnitInformation | Common Data |
- `type_normalized` (V1PropertiesIdGetOutputResultsTypeNormalized, optional, nullable) — The Propexo normalized property type | Method | Interface | |---|---| | /ItfCommonData/GetUnitInformation | Common Data |
- `website` (any, optional) — The website URL associated with the propertyThis field will always be null for YARDI\_REST
- `year_built` (any, optional) — The year the property was builtThis field will always be null for YARDI\_REST
- `zip` (string, optional, nullable) — The zip code associated with the property | Method | Interface | |---|---| | /ItfCommonData/GetPropertyConfigurations | Common Data | | /ItfProspect/GetPropertyConfigurations | ILS Guest Card |
- `long_description` (any, optional) — A long description of the propertyThis field will always be null for YARDI\_REST
- `short_description` (any, optional) — A short description of the propertyThis field will always be null for YARDI\_REST
- `office_hours` (V1PropertiesIdGetOutputResultsOfficeHours, optional)
- `pet_types` (list of PetTypes, optional) — This field is not currently hydrated for YARDI_REST
- `associated_owner_ids` (list of string, optional) — The property IDs associated with the ownerThis field is not currently hydrated for YARDI\_REST
- `integration_id` (string, optional) — The Propexo unique identifier for the integration
- `integration_vendor` (enum, optional) — The property management system of record
  - Allowed values: `YARDI_REST`, `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTMANAGER`, `RENTVINE`, `RESMAN`, `YARDI`
- `square_footage` (any, optional, deprecated) — Deprecated: Use square\_feetThis field will always be null for YARDI\_REST
- `street_address_1` (string, optional, nullable, deprecated) — Deprecated: Use address_1 | Method | Interface | |---|---| | /ItfCommonData/GetPropertyConfigurations | Common Data | | /ItfProspect/GetPropertyConfigurations | ILS Guest Card |
- `street_address_2` (string, optional, nullable, deprecated) — Deprecated: Use address_2 | Method | Interface | |---|---| | /ItfCommonData/GetPropertyConfigurations | Common Data | | /ItfProspect/GetPropertyConfigurations | ILS Guest Card |
- `type` (any, optional, deprecated) — Deprecated: Use type\_raw\.This field will always be null for YARDI\_REST

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### ResponseMetaOrderByItems

### V1PropertiesIdGetOutputResultsCustomData

### V1PropertiesIdGetOutputResultsTypeNormalized

The Propexo normalized property type | Method | Interface | |---|---| | /ItfCommonData/GetUnitInformation | Common Data |

### V1PropertiesIdGetOutputResultsOfficeHours

- `close_time` (string, required) — The closing time for the officeThis field is not currently hydrated for YARDI\_REST
- `day_of_week` (enum, required) — The day of the week associated with the office hoursThis field is not currently hydrated for YARDI\_REST
  - Allowed values: `SUNDAY`, `MONDAY`, `TUESDAY`, `WEDNESDAY`, `THURSDAY`, `FRIDAY`, `SATURDAY`
- `open_time` (string, required) — The opening time for the officeThis field is not currently hydrated for YARDI\_REST

### PetTypes

- `name` (string, required) — The name associated with the pet typeThis field is not currently hydrated for YARDI\_REST
- `is_allowed` (boolean, required, nullable) — Whether the pet type is allowed or notThis field is not currently hydrated for YARDI\_REST
- `description` (string, required, nullable) — Description of the pet typeThis field is not currently hydrated for YARDI\_REST
- `notes` (string, required, nullable) — Notes associated with the pet typeThis field is not currently hydrated for YARDI\_REST
- `deposit_raw` (string, required, nullable) — The deposit amount associated with the pet typeThis field is not currently hydrated for YARDI\_REST
- `deposit_in_cents` (double, required, nullable) — The deposit amount in cents associated with the pet typeThis field is not currently hydrated for YARDI\_REST
- `fee_raw` (string, required, nullable) — The raw fee amount for the pet typeThis field is not currently hydrated for YARDI\_REST
- `fee_in_cents` (double, required, nullable) — The fee amount in cents for the pet typeThis field is not currently hydrated for YARDI\_REST
- `fee_min_raw` (string, required, nullable) — The minimum raw fee amount for the pet typeThis field is not currently hydrated for YARDI\_REST
- `fee_min_in_cents` (double, required, nullable) — The minimum fee amount in cents for the pet typeThis field is not currently hydrated for YARDI\_REST
- `fee_max_raw` (string, required, nullable) — The maxmimum raw fee amount for the pet typeThis field is not currently hydrated for YARDI\_REST
- `fee_max_in_cents` (double, required, nullable) — The maxmimum raw fee amount in cents for the pet typeThis field is not currently hydrated for YARDI\_REST
- `rent_amount_raw` (string, required, nullable) — The raw rent amount for the pet typeThis field is not currently hydrated for YARDI\_REST
- `rent_amount_in_cents` (double, required, nullable) — The rent amount in cents for the pet typeThis field is not currently hydrated for YARDI\_REST

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "meta": {
    "orderBy": [
      {}
    ],
    "offset": 0,
    "limit": 100,
    "hasMore": true,
    "total": 1000
  },
  "results": {
    "id": "clwktsp9v000008l31iv218hn",
    "property_id": "clwi5xiix000008l6ctdgafyh",
    "created_at": "2024-03-21T15:38:08.337Z",
    "updated_at": "2024-03-22T10:59:45.119Z",
    "last_seen": "2024-03-22T10:59:45.119Z",
    "x_created_at": null,
    "x_id": "3299",
    "x_property_id": "3299",
    "x_building_id": null,
    "building_number": null,
    "city": "New York",
    "code": "central_park_apts",
    "country": null,
    "county": null,
    "custom_data": {},
    "is_active": null,
    "manager_email": null,
    "manager_name": null,
    "manager_phone_1": null,
    "manager_phone_1_type": null,
    "manager_phone_2": null,
    "manager_phone_2_type": null,
    "name": "Central Park Apartments",
    "notes": null,
    "number_of_units": null,
    "square_feet": 85000,
    "state": "NY",
    "address_1": "123 Main Street",
    "address_2": "Apt 1",
    "type_raw": "Residential",
    "type_normalized": "OTHER",
    "website": null,
    "year_built": null,
    "zip": "10001",
    "long_description": null,
    "short_description": null,
    "office_hours": [
      {
        "day_of_week": "MONDAY",
        "open_time": "09:00",
        "close_time": "17:00"
      },
      {
        "day_of_week": "TUESDAY",
        "open_time": "09:00",
        "close_time": "17:00"
      },
      {
        "day_of_week": "WEDNESDAY",
        "open_time": "09:00",
        "close_time": "17:00"
      },
      {
        "day_of_week": "THURSDAY",
        "open_time": "09:00",
        "close_time": "17:00"
      },
      {
        "day_of_week": "FRIDAY",
        "open_time": "09:00",
        "close_time": "17:00"
      }
    ],
    "pet_types": [
      {
        "name": "Dogs",
        "is_allowed": true,
        "description": "Small to medium sized dogs allowed",
        "notes": "Breed restrictions apply",
        "deposit_raw": "$300",
        "deposit_in_cents": 30000,
        "fee_raw": "$25",
        "fee_in_cents": 2500,
        "fee_min_raw": "$15",
        "fee_min_in_cents": 1500,
        "fee_max_raw": "$50",
        "fee_max_in_cents": 5000,
        "rent_amount_raw": "$30",
        "rent_amount_in_cents": 3000
      }
    ],
    "associated_owner_ids": [
      "owner_12345"
    ],
    "integration_id": "clwh5u07w000508me66sfh3um",
    "integration_vendor": "YARDI_REST",
    "square_footage": null,
    "street_address_1": null,
    "street_address_2": null,
    "type": null
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/properties/id"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/properties/id';
const options = {
  method: 'GET',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/properties/id"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/properties/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.propexo.com/v1/properties/id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.propexo.com/v1/properties/id', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/properties/id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/properties/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```